## com.baidubce.http
Class BceCloseableHttpResponse

    java.lang.Object
      com.baidubce.http.BceCloseableHttpResponse

All Implemented Interfaces:
  Closeable, org.apache.http.client.methods.CloseableHttpResponse, org.apache.http.HttpMessage, org.apache.http.HttpResponse

    public class BceCloseableHttpResponse

extends Object
implements org.apache.http.client.methods.CloseableHttpResponse

The implement from interface CloseableHttpResponse.

Constructor Summary
`BceCloseableHttpResponse(org.apache.http.HttpResponse original)`

Method Summary
`void` `addHeader(org.apache.http.Header header)`
`void` `addHeader(String name, String value)`
`void` `close()`
`boolean` `containsHeader(String name)`
`org.apache.http.Header[]` `getAllHeaders()`
`org.apache.http.HttpEntity` `getEntity()`
`org.apache.http.Header` `getFirstHeader(String name)`
`org.apache.http.Header[]` `getHeaders(String name)`
`org.apache.http.Header` `getLastHeader(String name)`
`Locale` `getLocale()`
`org.apache.http.params.HttpParams` `getParams()` Deprecated.
`org.apache.http.ProtocolVersion` `getProtocolVersion()`
`org.apache.http.StatusLine` `getStatusLine()`
`org.apache.http.HeaderIterator` `headerIterator()`
`org.apache.http.HeaderIterator` `headerIterator(String name)`
`void` `removeHeader(org.apache.http.Header header)`
`void` `removeHeaders(String name)`
`void` `setEntity(org.apache.http.HttpEntity entity)`
`void` `setHeader(org.apache.http.Header header)`
`void` `setHeader(String name, String value)`
`void` `setHeaders(org.apache.http.Header[] headers)`
`void` `setLocale(Locale loc)`
`void` `setParams(org.apache.http.params.HttpParams params)` Deprecated.
`void` `setReasonPhrase(String reason)`
`void` `setStatusCode(int code)`
`void` `setStatusLine(org.apache.http.ProtocolVersion ver, int code)`
`void` `setStatusLine(org.apache.http.ProtocolVersion ver, int code, String reason)`
`void` `setStatusLine(org.apache.http.StatusLine statusline)`
`String` `toString()`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

Constructor Detail

### BceCloseableHttpResponse

    public BceCloseableHttpResponse(org.apache.http.HttpResponse original)

Method Detail

### close

    public void close()
               throws IOException

  Specified by:
    `close` in interface `Closeable`
  Throws:
    `IOException`

### getStatusLine

    public org.apache.http.StatusLine getStatusLine()

  Specified by:
    `getStatusLine` in interface `org.apache.http.HttpResponse`

### setStatusLine

    public void setStatusLine(org.apache.http.StatusLine statusline)

  Specified by:
    `setStatusLine` in interface `org.apache.http.HttpResponse`

### setStatusLine

    public void setStatusLine(org.apache.http.ProtocolVersion ver,
                              int code)

  Specified by:
    `setStatusLine` in interface `org.apache.http.HttpResponse`

### setStatusLine

    public void setStatusLine(org.apache.http.ProtocolVersion ver,
                              int code,
                              String reason)

  Specified by:
    `setStatusLine` in interface `org.apache.http.HttpResponse`

### setStatusCode

    public void setStatusCode(int code)
                       throws IllegalStateException

  Specified by:
    `setStatusCode` in interface `org.apache.http.HttpResponse`
  Throws:
    `IllegalStateException`

### setReasonPhrase

    public void setReasonPhrase(String reason)
                         throws IllegalStateException

  Specified by:
    `setReasonPhrase` in interface `org.apache.http.HttpResponse`
  Throws:
    `IllegalStateException`

### getEntity

    public org.apache.http.HttpEntity getEntity()

  Specified by:
    `getEntity` in interface `org.apache.http.HttpResponse`

### setEntity

    public void setEntity(org.apache.http.HttpEntity entity)

  Specified by:
    `setEntity` in interface `org.apache.http.HttpResponse`

### getLocale

    public Locale getLocale()

  Specified by:
    `getLocale` in interface `org.apache.http.HttpResponse`

### setLocale

    public void setLocale(Locale loc)

  Specified by:
    `setLocale` in interface `org.apache.http.HttpResponse`

### getProtocolVersion

    public org.apache.http.ProtocolVersion getProtocolVersion()

  Specified by:
    `getProtocolVersion` in interface `org.apache.http.HttpMessage`

### containsHeader

    public boolean containsHeader(String name)

  Specified by:
    `containsHeader` in interface `org.apache.http.HttpMessage`

### getHeaders

    public org.apache.http.Header[] getHeaders(String name)

  Specified by:
    `getHeaders` in interface `org.apache.http.HttpMessage`

### getFirstHeader

    public org.apache.http.Header getFirstHeader(String name)

  Specified by:
    `getFirstHeader` in interface `org.apache.http.HttpMessage`

### getLastHeader

    public org.apache.http.Header getLastHeader(String name)

  Specified by:
    `getLastHeader` in interface `org.apache.http.HttpMessage`

### getAllHeaders

    public org.apache.http.Header[] getAllHeaders()

  Specified by:
    `getAllHeaders` in interface `org.apache.http.HttpMessage`

### addHeader

    public void addHeader(org.apache.http.Header header)

  Specified by:
    `addHeader` in interface `org.apache.http.HttpMessage`

### addHeader

    public void addHeader(String name,
                          String value)

  Specified by:
    `addHeader` in interface `org.apache.http.HttpMessage`

### setHeader

    public void setHeader(org.apache.http.Header header)

  Specified by:
    `setHeader` in interface `org.apache.http.HttpMessage`

### setHeader

    public void setHeader(String name,
                          String value)

  Specified by:
    `setHeader` in interface `org.apache.http.HttpMessage`

### setHeaders

    public void setHeaders(org.apache.http.Header[] headers)

  Specified by:
    `setHeaders` in interface `org.apache.http.HttpMessage`

### removeHeader

    public void removeHeader(org.apache.http.Header header)

  Specified by:
    `removeHeader` in interface `org.apache.http.HttpMessage`

### removeHeaders

    public void removeHeaders(String name)

  Specified by:
    `removeHeaders` in interface `org.apache.http.HttpMessage`

### headerIterator

    public org.apache.http.HeaderIterator headerIterator()

  Specified by:
    `headerIterator` in interface `org.apache.http.HttpMessage`

### headerIterator

    public org.apache.http.HeaderIterator headerIterator(String name)

  Specified by:
    `headerIterator` in interface `org.apache.http.HttpMessage`

### getParams

    @Deprecated
    public org.apache.http.params.HttpParams getParams()

  Deprecated.

  Specified by:
    `getParams` in interface `org.apache.http.HttpMessage`

### setParams

    @Deprecated
    public void setParams(org.apache.http.params.HttpParams params)

  Deprecated.

  Specified by:
    `setParams` in interface `org.apache.http.HttpMessage`

### toString

    public String toString()

  Overrides:
    `toString` in class `Object`

Copyright © 2016. All rights reserved.